%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdetoys

Name: %{pkg}2
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Version: 1.93
Release: 1
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Requires: kdesupport2
ExcludeArch: ia64
Prefix: /usr/lib/kde2

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifnarch alpha
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="-O0" CXXFLAGS="-O0 -fno-check-new" \
%endif
./configure --prefix=%{prefix}
make -j $CPUS

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir %{prefix}/share/doc/kde" >> $RPM_BUILD_ROOT/file.list.%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%changelog
* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdetoys-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
